<?php if (!defined('SITE')) exit('No direct script access allowed');

/**
* Customized for Linkskursiv and Muller
*
* Exhibition format
* 
* @author Vaska
*/


// defaults from the general libary - be sure these are installed
$exhibit['dyn_css'] = dynamicCSS();
$exhibit['lib_js'] = array('jquery.cycle.all.js');
$exhibit['dyn_js'] = dynamicJS();
$exhibit['exhibit'] = createExhibit();


function dynamicJS()
{
    global $timeout;
	return "$(document).ready(function(){ 
	$('#s1').cycle({
	fx:'fade', 
	speed:'2000', 
	timeout: 0, 
	next:'#next', prev:'#prev'});
	});";
}


function createExhibit()
{
	$OBJ =& get_instance();
	global $rs;
	
	$pages = $OBJ->db->fetchArray("SELECT * 
		FROM ".PX."media, ".PX."objects_prefs 
		WHERE media_ref_id = '$rs[id]' 
		AND obj_ref_type = 'exhibit' 
		AND obj_ref_type = media_obj_type 
		ORDER BY media_order ASC, media_id ASC");

		
	// ** DON'T FORGET THE TEXT ** //
	$txt = $rs['content'];

	if (!$pages) return $txt;
	
		$i = 1; $a = ''; $x = 200;
	
	// people will probably want to customize this up
	foreach ($pages as $go)
	{
	    $title 		= ($go['media_title'] == '') ? '' : $go['media_title'] . '&nbsp;';
	    $caption 	= ($go['media_caption'] == '') ? '&nbsp;' : $go['media_caption'];
		
		// we want the largest width here...
		$x = ($x < $go['media_x']) ? $go['media_x'] : $x;
		
		$a .= "\n<div><img src='" . BASEURL . GIMGS . "/$go[media_file]' class='img-bot' /><p>{$title}{$caption}</p></div>\n";
		
		$i++;
	}
	
	// padding for the space between image and text
	$padded = $x + 25;
	
	// images
	$s = "<div id='img-container'>\n";

	$s .= "<div id='s1' class='pics'>\n";
	$s .= $a;
	$s .= "</div>\n";
	
	$s .= "<div style='margin-left: {$padded}px;'>\n";
	$s .= "<p class='nav'>";
	$s .= "<a id='prev' href='#'>&laquo;</a> | <a id='next' href='#'>&raquo;</a>";
	$s .= "<span id='num'></span>";
	$s .= "</p>";
	$s .= $txt;
	$s .= "</div>\n";
	$s .= "<div style='clear: left;'><!-- --></div>\n";
	
	$s .= "</div>\n\n";
		
	return $s;
}


function dynamicCSS()
{
	return "#num {padding-left: 6px;}
	.img-bot {margin-bottom: 6px; display: block; }";
}



?>